This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 176239 - Unhelpful error message when trying to delete rules
Unhelpful error message when trying to delete rules
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: audit (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Grubb
Brian Brock
:
Depends On:
Blocks: RHEL4U4Audit 181409 185483
  Show dependency treegraph
 
Reported: 2005-12-20 09:10 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0379
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:16:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-12-20 09:10:34 EST
audit-1.0.3-6.EL4 on 64-bit machines

# auditctl -a entry,always -F arch=b64 -S open
# auditctl -l
AUDIT_LIST: entry,always arch=2147483669 (0x80000015) syscall=open
No watches
# auditctl -d entry,always -S open
Error sending delete rule request (No such file or directory)
# auditctl -d entry,always -F arch=b64 -S open
# auditctl -l
No rules
No watches

The "No such file or directory" error could be more helpful (the rule exists for
a specific architecture, there's no file or directories involved).
Comment 1 Steve Grubb 2006-02-09 09:45:43 EST
This is fixed in 1.0.14.
Comment 4 Bob Johnson 2006-04-11 12:05:54 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 5 David Lawrence 2006-04-27 13:25:33 EDT
Mistakenly added IBM group. Removed.
Comment 9 Red Hat Bugzilla 2006-08-10 17:16:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0379.html

Note You need to log in before you can comment on or make changes to this bug.